#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gfbgraph-0.2.5

- Next

  Tracker-miners-3.2.1

- Up
- Home

# Tracker-3.2.1

## Introduction to Tracker

Tracker is the file indexing and search provider used in the GNOME desktop environment.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tracker/3.2/tracker-3.2.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/tracker/3.2/tracker-3.2.1.tar.xz

- Download MD5 sum: 89bb081f0ffcdd1d92296b73de0a371c

- Download size: 1.9 MB

- Estimated disk space required: 94 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### Tracker Dependencies

#### Required

JSON-GLib-1.6.6, libseccomp-2.5.3, libsoup-2.74.2, and Vala-0.54.7

#### Recommended

gobject-introspection-1.70.0, ICU-70.1, and SQLite-3.37.2

#### Optional

asciidoc-10.1.1, GTK-Doc-1.33.2, bash-completion, and libstemmer

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/tracker3

## Installation of Tracker

Install Tracker by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Ddocs=false        \
          -Dman=false ..      &&
    ninja

To test the results, issue: ninja test. The tests should be run from a graphical session.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Ddocs=false`: This switch prevents the build process from generating API documentation. Omit this switch if you have GTK-Doc-1.33.2 installed and wish to generate and install the API documentation.

`-Dman=false`: This switch prevents the build process from generating man pages. Omit this switch if you have asciidoc-10.1.1 installed and wish to generate and install the man pages.

## Contents

Installed Programs: tracker3
Installed Library: libtracker-sparql-3.0.so
Installed Directories: /usr/{include,lib}/tracker-3.0, /usr/libexec/tracker3, /usr/share/tracker3, and /usr/share/gtk-doc/html/{libtracker-sparql,ontology}-3

### Short Descriptions

tracker3 | is a control program for the indexer
`libtracker-sparql-3.0.so` | contains resource management and database functions

Last updated on

- Prev

  gfbgraph-0.2.5

- Next

  Tracker-miners-3.2.1

- Up
- Home